<?

function permissions($filez){
$filez = decoct(@fileperms("$filez")) % 1000;
return $filez;
}



if (is_dir(H."install/") && permissions(H."install/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/install/</span> <span class=\"ank_d\">[".permissions(H."install/")."] - >777</span><br />\n";
}

if (permissions(H."sys/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/</span> <span class=\"ank_d\">[".permissions(H."sys/")."] - >777</span><br />\n";
}
if (permissions(H."sys/add/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/add/</span> <span class=\"ank_d\">[".permissions(H."sys/add/")."] - >777</span><br />\n";
}
if (permissions(H."sys/avatar/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/avatar/</span> <span class=\"ank_d\">[".permissions(H."sys/avatar/")."] - >777</span><br />\n";
}
if (permissions(H."sys/dat/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/dat/</span> <span class=\"ank_d\">[".permissions(H."sys/dat/")."] - >777</span><br />\n";
}

if (permissions(H."sys/db_tables/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/db_tables/</span> <span class=\"ank_d\">[".permissions(H."sys/db_tables/")."] - >777</span><br />\n";
}





if (permissions(H."sys/forum/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/forum/</span> <span class=\"ank_d\">[".permissions(H."sys/forum/")."] - >777</span><br />\n";
}
if (permissions(H."sys/forum/files/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/forum/files/</span> <span class=\"ank_d\">[".permissions(H."sys/forum/files/")."] - >777</span><br />\n";
}

if (permissions(H."sys/gallery/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/gallery/</span> <span class=\"ank_d\">[".permissions(H."sys/gallery/")."] - >777</span><br />\n";
}

if (permissions(H."sys/gallery/48/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/gallery/48/</span> <span class=\"ank_d\">[".permissions(H."sys/gallery/48/")."] - >777</span><br />\n";
}
if (permissions(H."sys/gallery/128/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/gallery/128/</span> <span class=\"ank_d\">[".permissions(H."sys/gallery/128/")."] - >777</span><br />\n";
}
if (permissions(H."sys/gallery/640/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/gallery/640/</span> <span class=\"ank_d\">[".permissions(H."sys/gallery/640/")."] - >777</span><br />\n";
}
if (permissions(H."sys/gallery/foto/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/gallery/foto/</span> <span class=\"ank_d\">[".permissions(H."sys/gallery/foto/")."] - >777</span><br />\n";
}

if (permissions(H."sys/loads/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/")."] - >777</span><br />\n";
}
if (permissions(H."sys/loads/files/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/files/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/files/")."] - >777</span><br />\n";
}

if (permissions(H."sys/loads/mp3crop/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/mp3crop/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/mp3crop/")."] - >777</span><br />\n";
}
if (permissions(H."sys/loads/screens/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/screens/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/screens/")."] - >777</span><br />\n";
}
if (permissions(H."sys/loads/screens/14/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/screens/14/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/screens/14/")."] - >777</span><br />\n";
}
if (permissions(H."sys/loads/screens/48/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/screens/48/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/screens/48/")."] - >777</span><br />\n";
}
if (permissions(H."sys/loads/screens/128/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/loads/screens/128/</span> <span class=\"ank_d\">[".permissions(H."sys/loads/screens/128/")."] - >777</span><br />\n";
}

if (permissions(H."sys/obmen/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/obmen/</span> <span class=\"ank_d\">[".permissions(H."sys/obmen/")."] - >777</span><br />\n";
}
if (permissions(H."sys/obmen/files/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/obmen/files/</span> <span class=\"ank_d\">[".permissions(H."sys/obmen/files/")."] - >777</span><br />\n";
}

if (permissions(H."sys/obmen/screens/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/obmen/screens/</span> <span class=\"ank_d\">[".permissions(H."sys/obmen/screens/")."] - >777</span><br />\n";
}

if (permissions(H."sys/obmen/screens/14/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/obmen/screens/14/</span> <span class=\"ank_d\">[".permissions(H."sys/obmen/screens/14/")."] - >777</span><br />\n";
}

if (permissions(H."sys/obmen/screens/48/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/obmen/screens/48/</span> <span class=\"ank_d\">[".permissions(H."sys/obmen/screens/48/")."] - >777</span><br />\n";
}

if (permissions(H."sys/obmen/screens/128/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/obmen/screens/128/</span> <span class=\"ank_d\">[".permissions(H."sys/obmen/screens/128/")."] - >777</span><br />\n";
}







if (permissions(H."sys/tmp/")<777)
{
$err=true;
echo "<span class=\"ank_n\">/sys/tmp/</span> <span class=\"ank_d\">[".permissions(H."sys/tmp/")."] - >777</span><br />\n";
}

if (!@fopen(H.'sys/dat/settings_6.2.dat', 'a'))
{
$err=true;
echo "<span class=\"ank_n\">/sys/dat/settings_6.2.dat</span> <span class=\"ank_d\">нет прав на запись</span><br />\n";
}

if (!@fopen(H.'sys/dat/raiting.dat', 'a'))
{
$err=true;
echo "<span class=\"ank_n\">/sys/dat/raiting.dat</span> <span class=\"ank_d\">нет прав на запись</span><br />\n";
}



?>